Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2019 21:57:36 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 09 Nov 2019 13:24:06 -0500
> 
> > What about the below?  It passes all the tests, and also fixes the
> > original use case.
> 
> Sounds good.

Thanks, installed.

> I have the impression that I was the original author of that "early
> exit" optimization (or at least some of it), but my brain must be
> decaying because I have a hard time understanding the code.  I also
> wonder if it's really worth the effort (of the optimization, I
> mean).

AFAICT, you were the author of the "don't count the same string more
than once" fragment.

I'm closing the bug report.